
# --------------------------------------
#   analog_io_board
#   65f6973664f81eb2canv
__canvas_id__ = '65f6973664f81eb2'
# __version__ = TODO: add this
# --------------------------------------
from floe import FP

from NeoPixel import NeoPixel
from DigitalOutput import DigitalOutput
from DigitalInput import DigitalInput
from HbtLed import HbtLed
from ESP32Core import ESP32Core
from AnalogInput import AnalogInput
from CANBus import CANBus
def setup(iris):
  AnalogInput(name="analog1", pid=45053, pin=33, ring_size=10, noise_reduction=100, delay=50, datatype="float", debug=False, active=True, bcast=True, iris=iris)
  AnalogInput(name="analog2", pid=46887, pin=32, ring_size=10, noise_reduction=100, delay=50, datatype="float", debug=False, active=True, bcast=True, iris=iris)
  AnalogInput(name="analog3", pid=17178, pin=35, ring_size=10, noise_reduction=100, delay=50, datatype="float", debug=False, active=True, bcast=True, iris=iris)
  AnalogInput(name="analog4", pid=43008, pin=34, ring_size=10, noise_reduction=100, delay=50, datatype="float", debug=False, active=True, bcast=True, iris=iris)
  CANBus(name="CANBus", pid=6545, rx=16, tx=4, adr=18, bus=0, baud=250000, rx_queue=25, terminal_debug=False, debug=False, active=True, bcast=False, iris=iris)
  DigitalInput(name="function_button", pid=2276, pin=36, pullup='None', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name="input1", pid=29989, pin=25, pullup='pullup', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name="input2", pid=39132, pin=26, pullup='pullup', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name="input3", pid=10879, pin=18, pullup='pullup', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name="input4", pid=53788, pin=27, pullup='pullup', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalOutput(name="can_slp", pid=11397, pin=2, invert=False, initial_value=False, datatype="bool", debug=False, active=True, bcast=False, iris=iris)
  DigitalOutput(name="output1", pid=34645, pin=19, invert=False, initial_value=False, datatype="bool", debug=False, active=True, bcast=False, iris=iris)
  DigitalOutput(name="output2", pid=41646, pin=21, invert=False, initial_value=False, datatype="bool", debug=False, active=True, bcast=False, iris=iris)
  DigitalOutput(name="output3", pid=56094, pin=22, invert=False, initial_value=False, datatype="bool", debug=False, active=True, bcast=False, iris=iris)
  DigitalOutput(name="output4", pid=43505, pin=23, invert=False, initial_value=False, datatype="bool", debug=False, active=True, bcast=False, iris=iris)
  ESP32Core(name="ESP32Core", pid=6074, wifi=False, hbt_led=FP(50487), neo_status=FP(47403), function_button=FP(2276), bus=FP(6545), zorg=None, webserver=None, debug=False, active=True, bcast=False, iris=iris)
  HbtLed(name="HbtLed", pid=50487, pin=5, delay=1000, datatype="int", debug=False, active=True, bcast=False, iris=iris)
  NeoPixel(name="neo_status", pid=47403, pin=17, number_of_pixels=1, animation=0, delay=200, animations=None, datatype="rgb", debug=False, active=True, bcast=False, iris=iris)
  iris.add_hots({})

